---
title: Account API
slug: valueserp/account-api
docTags: 
createdAt: 2024-08-03T11:00:15.051Z
---

# Account API

<font color="#52c41a">`GET`</font>  `/account`

The VALUE SERP Account API allows you to check the number of searches made in the current month. There is no charge for calls made to the Account API.

The Account API also shows current platform status.

:::CodeblockTabs
HTTP

```HTTP
https://api.valueserp.com/account?api_key=demo
```

```curl
$ curl --get https://api.valueserp.com/account \
  -d api_key="demo"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo"
}

// make the http GET request to VALUE SERP
axios.get('https://api.valueserp.com/account', { params })
  .then(response => {

    // print the JSON response from VALUE SERP
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo'
}

# make the http GET request to VALUE SERP
api_result = requests.get('https://api.valueserp.com/account', params)

# print the JSON response from VALUE SERP
print(json.dumps(api_result.json()))
```

```php
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo'
]);

# make the http GET request to VALUE SERP
$ch = curl_init(sprintf('%s?%s', 'https://api.valueserp.com/account', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from VALUE SERP
echo $api_result;
```
:::

:::hint{type="info"}
To view VALUE SERP JSON results clearly in your browser we recommend these extensions for [Chrome](https://chrome.google.com/webstore/detail/jsonview/chklaanhfefbnpoihckbnefhakgolnmc) and [Firefox](https://addons.mozilla.org/en-GB/firefox/addon/jsonview/)
:::

***

### Parameters

The Account API takes a single parameter, the `api_key` to retrieve account information from.

| *`Parameter`* | *`Required`*        | *`Description`*               |
| ------------- | ------------------- | ----------------------------- |
| *`api_key`*   | <u>*`required`*</u> | The API key for your account. |

### Response

The Account API returns structured JSON showing your account details and platform status. The  `usage_history`  property contains detailed credit usage history for the past 3 months:

```json
{
  "request_info": {
    "success": true
  },
  "account_info": {
    "api_key": "API_KEY",
    "name": "John Smith",
    "email": "john.smith@example.com",
    "plan": "Plan Name",
    "timezone": "(UTC+01:00) Sarajevo, Skopje, Warsaw, Zagreb",
    "destinations_used": 0,
    "destinations_limit": 50,
    "destinations_available": 50,
    "batches_used": 0,
    "batches_limit": 10000,
    "batches_available": 10000,
    "topup_credits_remaining": 99,
    "rate_limit_per_minute": 2500,
    "auto_top_up_enabled": true,
    "monthly_credits_limit": 15000,
    "monthly_credits_remaining": 14885,
    "monthly_credits_reset_at": "2020-01-01T00:00:00.000Z",
    "status": [
      {
        "component": "component name",
        "status": "operational"
      }
    ],
    "usage_history": [
      {
        "month": "January",
        "year": 2020,
        "month_number": 1,
        "is_current_month": true,
        "credits_total_for_month": 115,
        "credits_total_per_day": {
          "1": 115,
          "2": 0,
          "3": 0,
          "4": 0,
          "5": 0,
          "6": 0
        }
      }
    ]
  }
}
```

